# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Wire Class Reference

## Detailed Description

This class describes wire.

A wire is used by schematic to the connections between instances. It is defined by:

- a start point (InstancePoint or PortPoint),
- a end point (InstancePoint or PortPoint),
- a list of IntermediatePoint, this list may be empty.

Note
  Althought the Wire object is related to Schematic, it is handled by Net object since a wire is always associated to a Net.